// ***************************************************************
//  main   date: 04/09/2007
//  -------------------------------------------------------------
//  Programmer(s): Seth A. Robinson (seth@rtsoft.com)
//  -------------------------------------------------------------
//  Copyright (C) 2007 - Robinson Technologies
// ***************************************************************

// License - zlib style, do whatever you want

#include <ClanLib/core.h>
#include <ClanLib/display.h>
#include <ClanLib/gl.h>

#ifndef main_h__
#define main_h__

using namespace std;

class MyApp
{
public:

	MyApp()
	{
		m_padding = 0;
		m_framesX = 1;
		m_framesY = 1;
		m_bUsesColorKey = false;
	}

	bool Init(int argc, char **argv);
	string m_fileInput, m_fileOutput;
	int m_padding;
	int m_framesX;
	int m_framesY;
	CL_CommandLine argp;
	bool m_bUsesColorKey;
	CL_Color m_colorKey;

};

extern MyApp App;

string GetValidOutputType(string fileName);
void ClearPixelBuffer(CL_PixelBuffer* pPixelBuffer, CL_Color color);
CL_Rect GetBoundsOfCombinedRects(const CL_Rect &a, const CL_Rect &b);
void StringReplace(const std::string& what, const std::string& with, std::string& in);
CL_Rect GetBoundsFromImage(CL_PixelBuffer buf);
void ApplyColorKeyIfNeeded(CL_PixelBuffer &buf);
void RemoveColorKeyIfNeeded(CL_PixelBuffer &buf);


#endif // main_h__